#pragma once
#include <cstdint>

#include "DeerRender/Mesh.h"
#include "cereal/cereal.hpp"

namespace Deer {
	template <class Archive>
	void serialize(Archive& archive, VertexNormal& vertexNormal) {
		archive(cereal::make_nvp("x", vertexNormal.x));
		archive(cereal::make_nvp("y", vertexNormal.y));
		archive(cereal::make_nvp("z", vertexNormal.z));
	}
}  // namespace Deer